10-02-19 11:35 PM
36 12
tools
  1. fergusd's Avatar
    The CNN apk v.2.8 (not v.2.8.4 which breaks) is almost brilliant on BB10, distinct from visiting the CNN website where "Read More" always fails with the BB10 browser, leaving the reader with just the first chunk of any article.
    But:
    The videos accompanying any story seem to fail with the otherwise excellent v.2.8. Any ideas?

    Posted via CB10
    12-25-18 04:38 AM
  2. jamescarruthers's Avatar
    What about browsing the website with Kiwi Browser instead?

    Posted via CB10
    12-25-18 06:05 AM
  3. Leyra B10's Avatar
    The CNN apk v.2.8 (not v.2.8.4 which breaks) is almost brilliant on BB10, distinct from visiting the CNN website where "Read More" always fails with the BB10 browser, leaving the reader with just the first chunk of any article.
    But:
    The videos accompanying any story seem to fail with the otherwise excellent v.2.8. Any ideas?

    Posted via CB10
    https://m.cnn.com/en
    For the videos I'm not sure, might be able to open the audio/video in a separate page.
    Posted via CB10
    12-25-18 06:23 AM
  4. brookie229's Avatar
    If you are not into ads and video does not matter try: lite.cnn.io/en can put a shortcut onto your desktop. The advantage is that info loading is FAST but disadvantage is as I stated, no video. I only wish more websites offered these low bandwidth sites.

    Posted via CB10
    12-30-18 03:57 PM
  5. fergusd's Avatar
    Up until today
    https://m.cnn.com/en
    as recommended below has worked perfectly on BB10 as a text only version of the CNN website. Now, nothing - just endless attempts to reach the site. Your experience?


    Posted via CB10
    09-26-19 01:26 PM
  6. brookie229's Avatar
    Up until today
    https://m.cnn.com/en
    as recommended below has worked perfectly on BB10 as a text only version of the CNN website. Now, nothing - just endless attempts to reach the site. Your experience?


    Posted via CB10
    That website has been off before for a few days at least twice that I know of in the past. Give it a bit more time to see if they get it straightened out. In the meantime for a text only news site try: https://text.npr.org/
    09-26-19 01:49 PM
  7. TrumpetTiger's Avatar
    Up until today
    https://m.cnn.com/en
    as recommended below has worked perfectly on BB10 as a text only version of the CNN website. Now, nothing - just endless attempts to reach the site. Your experience?


    Posted via CB10
    You could just use version 5.0.1 of the app. Videos are confirmed working with stories and the app appears to function normally. (You will occasionally get a prompt saying CNN won't work without Google Play Services, but just tap outside it and the app will work normally.)

    Download here:

    https://mega.nz/#!x0RzkIiD!OJts7WEeG...wAo_32EmLRKNag
    09-27-19 09:31 PM
  8. fergusd's Avatar
    Thank you for your kind suggestion but after a successful download I just get the classic "unable to install this app" common when trying to install a modern apk on a BB10 phone. Are you using BB10? Weird, if so.

    Posted via CB10
    09-28-19 11:17 AM
  9. Chuck Finley69's Avatar
    Thank you for your kind suggestion but after a successful download I just get the classic "unable to install this app" common when trying to install a modern apk on a BB10 phone. Are you using BB10? Weird, if so.

    Posted via CB10
    Do you have security install setting turned off for apps not from BBW if memory serves?
    09-28-19 06:07 PM
  10. Crusader03's Avatar
    You could just use version 5.0.1 of the app. Videos are confirmed working with stories and the app appears to function normally. (You will occasionally get a prompt saying CNN won't work without Google Play Services, but just tap outside it and the app will work normally.)

    Download here:

    https://mega.nz/#!x0RzkIiD!OJts7WEeG...wAo_32EmLRKNag
    Just installed, works well, only thing is it keeps stating Google Services not installed, easy enough to dismiss with ok and starts working! Thanks, I prefer this version to the read only.
    By the way, the phone does heat up a bit when running, normal? Thanks again,

    Posted via my Passport
    09-29-19 06:55 PM
  11. conite's Avatar
    Just installed, works well, only thing is it keeps stating Google Services not installed, easy enough to dismiss with ok and starts working! Thanks, I prefer this version to the read only.
    By the way, the phone does heat up a bit when running, normal? Thanks again,

    Posted via my Passport
    Passport always heats up in the top right corner.
    09-29-19 07:06 PM
  12. Crusader03's Avatar
    Passport always heats up in the top right corner.
    Not always, only certain apps that I have noticed. Euronews does not heat the devise for example.

    Posted via my Passport
    elfabio80 likes this.
    09-29-19 07:11 PM
  13. conite's Avatar
    Not always, only certain apps that I have noticed. Euronews does not heat the devise for example.

    Posted via my Passport
    Obviously it depends on CPU load - which has many contributing factors.
    09-29-19 07:14 PM
  14. brookie229's Avatar
    Thanks, I prefer this version to the read only.
    I'm the opposite, lol. I prefer the text only but alas, it is still down.
    09-29-19 08:11 PM
  15. mh1983's Avatar
    Obviously it depends on CPU load - which has many contributing factors.
    Right. Ie not "always". If I avoid Android apps altogether, it rarely if ever heats up.

    Posted via CB10
    09-29-19 08:58 PM
  16. TrumpetTiger's Avatar
    Thank you for your kind suggestion but after a successful download I just get the classic "unable to install this app" common when trying to install a modern apk on a BB10 phone. Are you using BB10? Weird, if so.

    Posted via CB10
    Hey fergus,

    I am very much using BB10, yes.

    Did you check Chuck's suggestion on security settings? It's also possible you may have to uninstall the previous 2.8 version of the app--should be no problem if you want to test 5.0.1 if you have the APK or back it up using Sachesi/DBBT/Link beforehand.

    As a side note we see that Crusader also is using the app successfully, so there may be something going on with your device. If you want to troubleshoot let us know and we'll get you set!
    09-30-19 04:03 PM
  17. TrumpetTiger's Avatar
    Just installed, works well, only thing is it keeps stating Google Services not installed, easy enough to dismiss with ok and starts working! Thanks, I prefer this version to the read only.
    By the way, the phone does heat up a bit when running, normal? Thanks again,

    Posted via my Passport
    Glad to hear it's working for you Crusader. As you've seen different people have different experiences with this. I've not heard of the Passport heating up just from one particular app, but if there are a lot of others running in the background perhaps this can happen yes.
    09-30-19 04:05 PM
  18. brookie229's Avatar
    Yippee the text only/low bandwidth version is working again. I knew it would be back as the outage has happened a few times. Now I can uninstall that resource hog version.
    mh1983 likes this.
    09-30-19 07:18 PM
  19. fergusd's Avatar
    >> .. uninstall the previous 2.8 .. ..
    This is VERY interesting and almost worth a new thread, if I knew how to start one.
    Previously, and for what must now be several years, I have taken the announcement "Unable to install this app" to mean that the app - that is, the apk - is too modern to work with BB10. The required Android OS is later than Marshmallow or Jellybean or whatever the threshold is (I can never remember).
    But from this thread it appears there is a second interpretation : that the early version in place is preventing installation of the later version, and must be uninstalled first. Interesting. Presumably the barrier previously mentioned ("too modern") is often, or is usually, the culprit, nevertheless.
    Otherwise: Do you often get "Not enough space to install this app"? In which case a reboot seems to suffice BUT the existing app has been uninstalled anyway, leaving you with the requirement to re-install if, as is often the case, the later version fails (


    Posted via CB10
    10-02-19 12:19 AM
  20. conite's Avatar
    >> .. uninstall the previous 2.8 .. ..
    This is VERY interesting and almost worth a new thread, if I knew how to start one.
    Previously, and for what must now be several years, I have taken the announcement "Unable to install this app" to mean that the app - that is, the apk - is too modern to work with BB10. The required Android OS is later than Marshmallow or Jellybean or whatever the threshold is (I can never remember).
    But from this thread it appears there is a second interpretation : that the early version in place is preventing installation of the later version, and must be uninstalled first. Interesting. Presumably the barrier previously mentioned ("too modern") is often, or is usually, the culprit, nevertheless.
    Otherwise: Do you often get "Not enough space to install this app"? In which case a reboot seems to suffice BUT the existing app has been uninstalled anyway, leaving you with the requirement to re-install if, as is often the case, the later version fails (


    Posted via CB10
    A new version will always install over an old version provided that it is still compatible (Android 4.3 or less), and that the developer signatures match.
    10-02-19 12:38 AM
  21. TrumpetTiger's Avatar
    A new version will always install over an old version provided that it is still compatible (Android 4.3 or less), and that the developer signatures match.
    This is inaccurate, as there are times when newer Android versions will not in fact install over older apps. The best practice is to uninstall the older app if possible and install the newer. You can sometimes get newer versions to "Upgrade" the older app, but not always.

    Native apps, however, do not have this limitation and newer versions of those will always update and install over the older versions.
    10-02-19 12:43 AM
  22. TrumpetTiger's Avatar
    >> .. uninstall the previous 2.8 .. ..
    This is VERY interesting and almost worth a new thread, if I knew how to start one.
    Previously, and for what must now be several years, I have taken the announcement "Unable to install this app" to mean that the app - that is, the apk - is too modern to work with BB10. The required Android OS is later than Marshmallow or Jellybean or whatever the threshold is (I can never remember).
    But from this thread it appears there is a second interpretation : that the early version in place is preventing installation of the later version, and must be uninstalled first. Interesting. Presumably the barrier previously mentioned ("too modern") is often, or is usually, the culprit, nevertheless.
    Otherwise: Do you often get "Not enough space to install this app"? In which case a reboot seems to suffice BUT the existing app has been uninstalled anyway, leaving you with the requirement to re-install if, as is often the case, the later version fails (


    Posted via CB10
    I understand why you thought that with the app simply being too modern fergus, but you are correct, sometimes the early version prevents installation of the later version.

    As far as space preventing installation, that generally means you don't have enough storage for the app's various resources to install, which means clearing out or moving items to an SD card is your best bet. Restarts occasionally help as they clear cache, but they are a temporary solution at best.
    10-02-19 12:45 AM
  23. conite's Avatar
    This is inaccurate, as there are times when newer Android versions will not in fact install over older apps. The best practice is to uninstall the older app if possible and install the newer. You can sometimes get newer versions to "Upgrade" the older app, but not always.

    Native apps, however, do not have this limitation and newer versions of those will always update and install over the older versions.
    What are you talking about?

    What other "times" are there?

    If the signatures match they will ALWAYS install over top. No exceptions.
    10-02-19 12:46 AM
  24. TrumpetTiger's Avatar
    What are you talking about?

    What other "times" are there?

    If the signatures match they will ALWAYS install over top. No exceptions.
    That is simply wrong. Signatures are inherently different based on versions of an app. That is the nature of signatures.

    If the previously installed app recognizes the upgrade as a direct upgrade, it can sometimes work. There are many times, however, when this is not the case, such as when jumping multiple versions at a time.

    The practical effect thus is that most often it will not work, thus making the best practice uninstalling the old version and installing the new.
    10-02-19 12:57 AM
  25. conite's Avatar
    That is simply wrong. Signatures are inherently different based on versions of an app. That is the nature of signatures.

    If the previously installed app recognizes the upgrade as a direct upgrade, it can sometimes work. There are many times, however, when this is not the case, such as when jumping multiple versions at a time.

    The practical effect thus is that most often it will not work, thus making the best practice uninstalling the old version and installing the new.
    I have installed hundreds and hundreds of Android apps on my BB10 devices, and have NEVER once had an issue with updating. I've never once come across a developer switching signatures mid-stream.

    The only issue that pops up here occasionally is when someone tries to install a patched update over an older unpatched app, or vice-versa - obviously due to mismatched signatures.
    10-02-19 12:58 AM
36 12

Similar Threads

  1. CNN News on the web
    By fergusd in forum BlackBerry 10 OS
    Replies: 4
    Last Post: 08-04-18, 06:05 PM
  2. Cnn "BlackBerry Still on life support"
    By world traveler and former ceo in forum BBRY
    Replies: 7
    Last Post: 05-21-18, 03:01 PM
  3. Replies: 6
    Last Post: 04-06-18, 02:45 AM
  4. CNN notification and app issues
    By Emaderton3 in forum Android Apps
    Replies: 4
    Last Post: 11-22-17, 12:21 AM
  5. BlackBerry Classic on CNN
    By Frehley in forum BlackBerry Classic
    Replies: 9
    Last Post: 11-25-16, 09:05 AM
LINK TO POST COPIED TO CLIPBOARD